MD5SUM(1)

NAMN
md5sum - genererar eller kontrollerar MD5-meddelandesamlingar

SYNOPS
md5sum [-bv] [-c [fil]] | [fil...]

BESKRIVNING
md5sum genererar eller kontrollerar MD5-kontrollsummor. Algoritmen som genererar kontrollsumman är hyfsat snabb och tillräckligt stark för de flesta fallen. En exakt specifikation av algoritmen finns i RFC 1321.

Normalt genererar md5sum kontrollsummor för samtliga filer som anges som flaggor och skriver kontrollsummorna följt av filnamnen. Om däremot flaggan -c anges tillåts endast en filnamnsparameter. Denna fil innehåller kontrollsummor och tillhörande filnamn, och filerna som listas i den filen kommer att kontrolleras gentemot kontrollsumman som står där. Se flaggan -c för ytterligare information.

  FLAGGOR

-b  Använd binärt läge. I en unixmiljö är den enda skillnaden mellan detta och det normala läget en asterisk framför filnamnet i utdata.

-c  Kontrollera md5-summan för samtliga filer som listas i fil mot kontrollsummorna som står i filen. Formatet som används för denna fil är detsamma som utdata för md5sum. Det betyder att varje rad i filen beskriver en fil, på formen:

    <MD5-kontrollsumma> <filnamn>

    Så, till exempel, om en fil skapats och dess meddelandesamlingar (message digest) beräknats enligt

    echo foo > md5-testfil; md5sum md5-testfil

    kommer md5sum rapportera:

    d3b07384d113edec49eaa6238ad5ff00 md5-testfil

-v  Var mer pratsam. Skriv ut filnamn när de kontrolleras (med -c).

PROGRAMFEL
Den relaterade meddelandesamlingsalgoritmen MD4 knäcktes i oktober 1995. MD5 verkar inte vara lika säker som den en gång var.

Denna manualsida är inte helt korrekt och har formatering som inte är konsistent med andra manualsidor.

md5sum tillåter inte standardflaggor såsom --help.

FÖRFATTARE

md5sum skrevs ursprungligen av Branko Lankester och modifierades sedan av Colin Plumb och Ian Jackson (ijackson@gnu.ai.mit.edu). Manualsidan lades till av Juho Vuori (javuori@cc.helsinki.fi) och översattes av Peter Karlsson.